.switch {
  display: flex; }
  .switch__item input {
    opacity: 0;
    width: 0px;
    height: 0px;
    position: absolute;
    height: 100%;
    visibility: hidden;
    cursor: pointer; }
  .switch__item label {
    display: flex;
    align-items: center; }
  .switch__item input:checked {
    cursor: default; }
  .switch__item input:checked ~ label .toggler {
    border-color: #96C120;
    background-color: #96C120; }
    .switch__item input:checked ~ label .toggler:before {
      left: 23px;
      background-color: #fff; }
  .switch__item .toggler {
    background: #DEDEE3;
    border: 0.5px solid #DEDEE3;
    border-radius: 999px;
    width: 46px;
    height: 26px;
    display: block;
    position: relative;
    flex: 0 0 auto;
    pointer-events: none;
    transition: all .3s ease; }
    .switch__item .toggler:before {
      position: absolute;
      content: "";
      width: 22px;
      height: 22px;
      border-radius: 50%;
      background-color: #ffffff;
      left: 1px;
      top: calc(50% - 11px);
      transition: all .3s ease; }
  .switch__item .descr {
    display: block;
    white-space: nowrap;
    font-size: 18px;
    font-weight: 600; }
    @media (max-width: 767px) {
      .switch__item .descr {
        font-size: 16px; } }
